RK-J - Feature #3103
Feature # 3024 (Closed): extension 0.92.20 & 0.93: Enable OpenAl answers

BE: Change OpenAl API call
07/02/2023 11:32 AM - Ram Kordale

Status: Closed Start date: 07/02/2023
Priority: Immediate Due date: 07/03/2023
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 3.00 hours
Target version: 1-RK-J-1 Spent time: 1.75 hour
Description

Change OpenAl API call to:

POST /vi/completions {
"model": "text-davinci-003",
"prompt": <ourPrompt>,
"temperature": 0,
"max_tokens": 60,

"top_p": 1,
"frequency_penalty": 0,
"presence_penalty": 0

}

ourPrompt = concat("explain", <what user typed>, "with one example in 30 words or less")

History

#1 - 07/03/2023 05:04 AM - Ram Kordale

- Description updated

#2 - 07/03/2023 05:28 AM - Ayush Khandelwal
- Due date set to 07/03/2023
- Status changed from New to In Progress

- Estimated time set to 3.00 h

#3 - 07/03/2023 12:22 PM - Ayush Khandelwal
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 07/06/2023 05:40 AM - Ayush Khandelwal
- Status changed from Resolved to Feedback

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#5 - 07/07/2023 03:12 AM - Ram Kordale
- Description updated
- Status changed from Feedback to Reopened

- Assignee changed from Ram Kordale to Ayush Khandelwal
#6 - 07/07/2023 03:13 AM - Ram Kordale

reopened because of changed requirement for
ourPrompt = concat("explain", <what user typed>, "with one example in 30 words or less")

#7 - 07/07/2023 05:57 AM - Ayush Khandelwal

- Status changed from Reopened to In Progress
- % Done changed from 100 to 70

#8 - 07/07/2023 07:05 AM - Ayush Khandelwal
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

#9 - 07/07/2023 11:20 AM - Ayush Khandelwal

- Status changed from Resolved to Feedback

#10 - 07/10/2023 05:22 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#11 - 07/13/2023 04:48 AM - Ram Kordale
- Status changed from Feedback to Closed

#12 - 07/31/2023 06:40 AM - Ayush Khandelwal
- Subject changed from Change OpenAl API call to BE: Change OpenAl API call
